On-Screen Keyboard overview

On-Screen Keyboard is a utility that displays a virtual keyboard on the screen and allows users with mobility impairments to type data using a pointing device or joystick. On-Screen Keyboard is intended to provide a minimum level of functionality for users with mobility impairments.

On-Screen Keyboard has three typing modes you can use to type data:

  • In clicking mode, you click the on-screen keys to type text.
  • In scanning mode, On-Screen Keyboard continually scans the keyboard and highlights areas where you can type keyboard characters by pressing a hot key or using a switch-input device.
  • In hovering mode, you use a mouse or joystick to point to a key for a predefined period of time, and the selected character is typed automatically.

In On-Screen Keyboard you can also:

  • View an enhanced keyboard that includes the numeric keypad, or a standard keyboard that does not include the numeric keypad.
  • Display the keyboard with the keys in the standard layout, or in a block layout in which the keys are arranged in rectangular blocks. Block layout is especially useful in scanning mode.
  • Display the U.S. standard keyboard (101 keys), the universal keyboard (102 keys), or a keyboard (106 keys) with additional Japanese language characters.
  • Use Click Sound to add an audible click when you select a key.
  • Use Always on Top to keep your keyboard displayed on your screen when you switch programs or windows.

Open On-Screen Keyboard.

Notes

  • XOX
  • XOX
  • Utility Manager enables users to check an Accessibility program's status and start or stop an Accessibility program. Users with administrator-level access can designate to have the program start when Utility Manager starts. Users can also start Accessibility programs before logging on to the computer on by pressing the Windows logo key ( Windows logo key) + U at the Welcome to Windows dialog box that appears when Windows starts.
  • XOX For information about accessibility products and aids for Windows operating systems, see the accessibility page (go to http://www.microsoft.com/ and search for "accessibility") on the Microsoft Web site.
  • XOX

Related Topics


Select a keyboard layout

Microsoft Windows graphic

To select a keyboard layout

  1. XOX
  2. On the Keyboard menu, select the following keyboard options:
    • Select the keyboard layout.
      • To use a keyboard layout which includes the numeric keypad, choose Enhanced Keyboard.
      • To use a keyboard layout that does not include the numeric keypad, choose Standard Keyboard.
    • Select the way the keys appear on the keyboard.
      • To display keys as they would normally appear on a standard keyboard, choose Regular Layout.
      • To display the most frequently used character keys together on the keyboard, choose Block Layout. (This also puts directional keys in the lower-right corner.)
    • Select the type of keyboard.
      • To use the U.S. standard keyboard, choose 101 keys.
      • To use the universal keyboard, choose 102 keys.
      • To use the keyboard that has additional Japanese characters, choose 106 keys.

Notes

  • XOX
  • Block layout is especially useful if you are using Hover to select mode because the characters most used are easy to select.
  • The 102 keys and 106 keys settings are not available with Block Layout.
  • XOX


Select the font for On-Screen Keyboard keys

To select the font for On-Screen Keyboard keys

  1. XOX
  2. On the Settings menu, click Font.
  3. In the Font dialog box, select a font, font style, and font size.

Notes

  • XOX
  • If you are using a language other than U.S. English, it may be necessary to change font options to see additional characters.
  • The selected font options only affect the appearance of the On-Screen Keyboard keys and do not affect the font used in the selected program.
  • XOX


Make clicks audible

To make clicks audible

  1. XOX
  2. On the Settings menu, click Use Click Sound.

    3. The audible click sound is heard when the character selected appears in the program being used.

Notes

  • XOX
  • XOX


Use clicking mode

To use clicking mode

  1. XOX
  2. On the Settings menu, click Typing Mode.
  3. In the Typing Mode dialog box, click Click to select.

    4. When you point to a character, it is highlighted. Click the highlighted character to select it.

Notes

  • XOX
  • By default, On-Screen Keyboard allows you to type data with the mouse by pointing to and clicking keyboard characters.
  • XOX


Use hovering mode

To use hovering mode

  1. XOX
  2. On the Settings menu, click Typing Mode.
  3. In the Typing Mode dialog box, click Hover to select.
  4. In Minimum time to hover, select a number to adjust the minimum hover time.

    5. If the mouse pointer remains over a character for the specified hover time, the character will be selected and typed.

Notes

  • XOX
  • XOX


Use scanning mode

To use scanning mode

  1. XOX
  2. On the Settings menu, click Typing Mode.
  3. In the Typing Mode dialog box, click Joystick or key to select.
  4. In Scan interval, select a number to set the speed for how quickly On-Screen Keyboard scans.
  5. Click Advanced, and then click the appropriate option to do one of the following:
    • Select Serial, parallel, or game port to designate that a pointing device will be used to select the highlighted keyboard characters you want to type.
    • Select Keyboard key to designate a key to be used to select the highlighted keyboard characters you want to type, and select the key from the list.

Notes

  • XOX
  • On-Screen Keyboard scans by highlighting each row of keys from the top to the bottom of the keyboard. When the row that contains the key you want to type is highlighted, use the choice you made in step 5 to select the row.

    • If you are using Regular Layout, On-Screen Keyboard then scans the individual characters in the row. When the key you want to type is highlighted, use the choice you made in step 5 to select the character.

    If you are using Block Layout, On-Screen Keyboard then scans the row. When the group of characters that contains the key you want to type is highlighted, use the choice you made in step 5 to select a group of characters. On-Screen Keyboard then scans the individual characters within the group, and when the key you want to type is highlighted, use the choice you made in step 5 to select the character.

  • XOX